Fix compilation with old yasm that does not support AVX.